
QGIS Application - Bug report #18192

vertex editor doesn't honour topological editing when moving a segment

2018-02-23 02:02 PM - Regis Haubourg

Status: Closed

Priority: High

Assignee: Martin Dobias

Category: Digitising

Affected QGIS version:3.3(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 26083

Description

When selecting a segment, not a serie of vertices, the topological editing fails to move shared borders together. 

It worked in 2.18. 

There is a workaround by selection the nodes and grab nodes instead of grabing the segment.

See animation gif

Related issues:

Related to QGIS Application - Bug report # 18046: Adding new vertices ignores... Closed 2018-02-05

Related to QGIS Application - Bug report # 17331: new node tool topological e... Closed 2017-10-25

Duplicated by QGIS Application - Bug report # 20226: vertex edit ignore topol... Closed 2018-10-26

History

#1 - 2018-02-26 12:07 PM - Andreas Wicht

maybe connected, but at least in the same scope: #18046

#2 - 2018-09-01 04:51 PM - Harrissou Santanna

- Regression? changed from No to Yes

Still occurs in master (3.3)

#3 - 2018-09-01 04:56 PM - Harrissou Santanna

- Related to Bug report #18046: Adding new vertices ignores topological editing added

#4 - 2018-09-01 04:58 PM - Harrissou Santanna

- Related to Bug report #17331: new node tool topological editing added

#5 - 2018-09-02 09:10 PM - Giovanni Manghi

- Affected QGIS version changed from 3.0.0 to 3.3(master)

Confirmed on the latest master.

#6 - 2018-11-21 01:39 PM - Bernhard Ströbl

- Status changed from Open to Feedback
This seems fixed in master (3.5.0), could you please check and either close or change the affected QGIS version?

#7 - 2018-11-21 01:52 PM - Martin Dobias

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

Yes this is the same bug as #20226 which has been fixed in https://github.com/qgis/QGIS/pull/8413

#8 - 2018-11-21 01:52 PM - Martin Dobias

- Duplicated by Bug report #20226: vertex edit ignore topological editing when move a polygon boundary segment added
